Create company
curl --request POST \
--url https://productlane.com/api/v2/companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"logo_url": "<string>",
"domains": [
"<string>"
],
"size": 1,
"revenue": 1,
"external_ids": [
"<string>"
],
"status_id": "<string>",
"tier_id": "<string>",
"owner_id": "<string>"
}
'import requests
url = "https://productlane.com/api/v2/companies"
payload = {
"name": "<string>",
"logo_url": "<string>",
"domains": ["<string>"],
"size": 1,
"revenue": 1,
"external_ids": ["<string>"],
"status_id": "<string>",
"tier_id": "<string>",
"owner_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
logo_url: '<string>',
domains: ['<string>'],
size: 1,
revenue: 1,
external_ids: ['<string>'],
status_id: '<string>',
tier_id: '<string>',
owner_id: '<string>'
})
};
fetch('https://productlane.com/api/v2/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"logo_url": "<string>",
"domains": [
"<string>"
],
"size": 123,
"revenue": 123,
"status_id": "<string>",
"status_name": "<string>",
"tier_id": "<string>",
"tier_name": "<string>",
"owner": {
"id": "<string>",
"name": "<string>",
"avatar_url": "<string>"
},
"external_ids": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Companies
Create company
Create a new company. Authentication required.
POST
/
companies
Create company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 255Required string length:
1 - 63Pattern:
[0-9a-z-]+\.(?:(?:co|or|gv|ac|com)\.)?[a-z]{2,7}$Required range:
x >= 0Required range:
x >= 0Replaces the company's full external-id set. Use for cross-system identifiers (CRM ids, etc.).
Linear customer-status id. Fetch valid ids from GET /companies/linear-options. Pass null to clear.
Linear customer-tier id. Fetch valid ids from GET /companies/linear-options. Pass null to clear.
Linear user id of the owner. Fetch valid ids from GET /companies/linear-options. Pass null to clear.
Response
Successful response
Show child attributes
Show child attributes
Caller-owned cross-system identifiers (CRM ids, etc.). Replaced wholesale on create/update.
⌘I